#!/usr/bin/bash

DEVICE=$1

if [[ "$DEVICE" = "nvidia" ]]; then
	if lspci -D | grep -iE 'VGA|3D' | grep -iq nvidia; then
		MODEL=$(lspci -D | grep -iE 'VGA|3D' | grep -i nvidia | sed 's/^.*\[//;s/\].*$//')
		[ -n "$MODEL" ] && echo $MODEL
		exit 0
	fi
fi

if [[ "$DEVICE" = "stk83xx" ]]; then
	if find /sys/devices/ -iname '*STK*8321*' | grep -q STK; then
		exit 0
	fi
fi

if [[ "$DEVICE" = "focal-spi" ]]; then
	if find /sys/devices/ -iname 'FTE4800*' -o -iname 'FTE3600*' -o -iname 'FTE6600*'  | grep -q FTE; then
		exit 0
	fi
fi

exit 1
