#!/usr/bin/bash

DRIVER=$1

PrintVersion()
{
	NAME="$@"
	PKG=$(rpm -qa | grep $NAME | head -n 1)
	rpm -q --qf "%{VERSION}-%{RELEASE}\n" $PKG
}

if [[ "$DRIVER" = "kmod-nvidia" ]]; then
	if rpm -qa | grep -q kmod-nvidia; then
		if ! rpm -qa | grep -q akmod-nvidia; then
			PrintVersion kmod-nvidia
			exit 0
		fi
	fi
fi

if [[ "$DRIVER" = "kmod-stk83xx" ]]; then
	if rpm -qa | grep -q kmod-stk83xx; then
		if ! rpm -qa | grep -q akmod-stk83xx; then
			PrintVersion kmod-stk83xx
			exit 0
		fi
	fi
fi

if [[ "$DRIVER" = "kmod-focal-spi" ]]; then
	if rpm -qa | grep -q kmod-focal-spi; then
		if ! rpm -qa | grep -q akmod-focal-spi; then
			PrintVersion kmod-focal-spi
			exit 0
		fi
	fi
fi

if [[ "$DRIVER" = "akmod-nvidia" ]]; then
	if rpm -qa | grep -q akmod-nvidia; then
		PrintVersion akmod-nvidia
		exit 0
	fi
fi

if [[ "$DRIVER" = "akmod-stk83xx" ]]; then
	if rpm -qa | grep -q akmod-stk83xx; then
		PrintVersion akmod-stk83xx
		exit 0
	fi
fi

if [[ "$DRIVER" = "akmod-focal-spi" ]]; then
	if rpm -qa | grep -q akmod-focal-spi; then
		PrintVersion akmod-focal-spi
		exit 0
	fi
fi

exit 1
