#!/usr/bin/bash

DRIVER=$1
LOG_FILE=$2

exec 2>&1
exec >>$LOG_FILE

RUN_SCRIPT=`mktemp /tmp/drv_installXXXXX.sh`
chmod 755 $RUN_SCRIPT

if [ "x$DRIVER" = "x" ]; then
    exit 1
fi

if PACKAGE=$(echo $DRIVER | grep -Po '(kmod|akmod)-\K.*'); then
    if echo $DRIVER | grep -q '^akmod-'; then
        DRACUT_REGEN="true"
    fi
	cat >$RUN_SCRIPT <<EOF
#!/bin/bash
exec 2>&1
exec >>$LOG_FILE
dnf -y remove ${PACKAGE}-kmod-common
EOF
    if [ "$DRACUT_REGEN" = "true" ]; then
        cat >>$RUN_SCRIPT <<EOF
akmods
dracut -f --regenerate-all
EOF
    fi
else
    cat >$RUN_SCRIPT <<EOF
#!/bin/bash
exec 2>&1
exec >>$LOG_FILE
dnf -y remove $DRIVER
sleep 5
exit 0
EOF
fi

pkexec $RUN_SCRIPT &>>$LOG_FILE
